Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Titan » TTCN-3 specification version supported (Which version of the TTCN-3 spec supports Titan v7.2.0 ?)
TTCN-3 specification version supported [message #1837237] Mon, 25 January 2021 16:55 Go to next message
Olaf Bergengruen is currently offline Olaf BergengruenFriend
Messages: 80
Registered: November 2018
Member
Hi Titan developers,

my colleagues at ETSI just asked me which version of the TTCN-3 spec supports the current Titan and whether there is a list of not supported features of the language.

I am not sure whether I pic the right information from the release notes , so I prefer to ask you.

Thanks for any comment,
Olaf @ETSI-TF160

Re: TTCN-3 specification version supported [message #1837248 is a reply to message #1837237] Tue, 26 January 2021 07:15 Go to previous messageGo to next message
roland gecse is currently offline roland gecseFriend
Messages: 20
Registered: December 2015
Junior Member
Version 2/198 17-CRL 113 200/6, Rev. G, 2019-11-29 (latest?) of The Programmers' Technical Reference Guide for the TITAN TTCN-3 Toolset cites Methods for Testing and Specification (MTS); The Testing and Test Control Notation version3. Part 1: Core Language European Telecommunications Standards Institute ES 201 873-1 Version 4.1.1, July 2009.

See also:
Chapter 3. Clarifications to the TTCN-3 Standard
Chapter 4. TTCN3 Language Extensions
...in the same document!
Re: TTCN-3 specification version supported [message #1837266 is a reply to message #1837248] Tue, 26 January 2021 13:16 Go to previous message
Olaf Bergengruen is currently offline Olaf BergengruenFriend
Messages: 80
Registered: November 2018
Member
Hi Roland,
The current Titan compiler supports only TTCN-3 v 4.1.1 from July 2009 ?? Are you sure?
This is strange since the current version of the TTCN-3 language spec is v4.12.1 from May 2020.
And the Titan compiler as far as I can tell is compliant also to v4.12.1. But it is not clear which features in v4.12.1 are not supported by the current Titan.
Can you please double check?

Thanks,
Olaf
Previous Topic:Internal error: Setting the verdict in invalid state.
Next Topic:Strategies for shutdding down complex component hierarchy
Goto Forum:
  


Current Time: Wed Jun 23 16:06:55 GMT 2021

Powered by FUDForum. Page generated in 0.01981 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top